package explorviz.hpc_monitoring.record;

import kieker.common.record.IMonitoringRecord;
import kieker.common.record.flow.IFlowRecord;

public class Trace implements IFlowRecord {
    private static final long serialVersionUID = 4028885353683254444L;

    private final long        traceId;
    private final String      hostname;
    private final long        parentTraceId;
    private final int         parentOrderId;
    private final String      application;

    public Trace(final long traceId, final String hostname,
            final long parentTraceId, final int parentOrderId,
            final String application) {
        this.traceId = traceId;
        this.hostname = hostname;
        this.parentTraceId = parentTraceId;
        this.parentOrderId = parentOrderId;
        this.application = application;
    }

    @Override
    public long getLoggingTimestamp() {
        throw new UnsupportedOperationException();
    }

    @Override
    public Class<?>[] getValueTypes() {
        throw new UnsupportedOperationException();
    }

    @Override
    public void initFromArray(final Object[] arg0) {
        throw new UnsupportedOperationException();
    }

    @Override
    public void setLoggingTimestamp(final long arg0) {
        throw new UnsupportedOperationException();
    }

    @Override
    public Object[] toArray() {
        throw new UnsupportedOperationException();
    }

    @Override
    public int compareTo(final IMonitoringRecord o) {
        throw new UnsupportedOperationException();
    }

    public long getTraceId() {
        return traceId;
    }

    public String getHostname() {
        return hostname;
    }

    public long getParentTraceId() {
        return parentTraceId;
    }

    public int getParentOrderId() {
        return parentOrderId;
    }

    public String getApplication() {
        return application;
    }

}
